const express = require('express');
const app = express();
const userRoutes = require('./routes/userRoutes');
const albumRoutes = require('./routes/albumRoutes');

// Configuration EJS
app.set('view engine', 'ejs');
app.set('views', './views');

// Middleware pour les données POST
app.use(express.urlencoded({ extended: true }));

// Routes principales
app.use('/', userRoutes);
app.use('/album', albumRoutes);


if (process.env.IS_OFFLINE) {
    const PORT = 3000;
    app.listen(PORT, () => {
        console.log(`Serveur local en écoute sur http://localhost:${PORT}`);
    });
}
// Exporter pour AWS Lambda
module.exports.handler = require('serverless-http')(app);
