const { S3Client, PutObjectCommand } = require('@aws-sdk/client-s3');
const { handler } = require('../app');

jest.mock('@aws-sdk/client-s3');

describe('Test de l’upload d’image', () => {
    it('Téléverse une image avec succès dans S3', async () => {
        S3Client.prototype.send = jest.fn().mockResolvedValueOnce({});

        const event = {
            body: JSON.stringify({
                username: 'testuser',
                file: {
                    buffer: Buffer.from('fakeImageData'),
                    mimetype: 'image/png',
                    originalname: 'test-image.png',
                },
            }),
        };

        const response = await handler(event);
        expect(response.statusCode).toBe(200);
        expect(JSON.parse(response.body).message).toBe('Image uploadée avec succès');
    });
});
