const { DynamoDBDocumentClient, GetCommand, PutCommand } = require('@aws-sdk/lib-dynamodb');
const { handler } = require('../app');

jest.mock('@aws-sdk/lib-dynamodb');

describe('Test de la création d’un utilisateur', () => {
    it('Crée un nouvel utilisateur si celui-ci n’existe pas', async () => {
        DynamoDBDocumentClient.from.mockReturnValue({
            send: jest.fn()
                .mockResolvedValueOnce({})
                .mockResolvedValueOnce({}),
        });

        const event = {
            body: JSON.stringify({ username: 'testuser' }),
        };

        const response = await handler(event);
        expect(response.statusCode).toBe(200);
        expect(JSON.parse(response.body).message).toBe('Connexion réussie');
    });
});
